## fdsrc fdsrc — Read from a file descriptor |

## Synopsis

                        GstFdSrc;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstBaseSrc
                         +----GstPushSrc
                               +----GstFdSrc

## Implemented Interfaces

GstFdSrc implements GstURIHandler.

## Properties

      "fd"                       gint                  : Read / Write
      "timeout"                  guint64               : Read / Write

## Description

Read data from a unix file descriptor.

To generate data, enter some data on the console folowed by enter. The above mentioned pipeline should dump data packets to the console.

If the "timeout" property is set to a value bigger than 0, fdsrc will generate an element message named `"GstFdSrcTimeout"` if no data was recieved in the given timeout. The message's structure contains one field:

- guint64 `"timeout"`: the timeout in microseconds that expired when waiting for data.

### Example launch line

    1
    echo "Hello GStreamer" | gst-launch -v fdsrc ! fakesink dump=true

A simple pipeline to read from the standard input and dump the data with a fakesink as hex ascii block.

Last reviewed on 2008-06-20 (0.10.21)

## Details

### GstFdSrc

    typedef struct _GstFdSrc GstFdSrc;

Opaque GstFdSrc data structure.

## Property Details

### The `"fd"` property

      "fd"                       gint                  : Read / Write

An open file descriptor to read from.

Allowed values: >= 0

Default value: 0

### The `"timeout"` property

      "timeout"                  guint64               : Read / Write

Post a message after timeout microseconds

Default value: 0

Since 0.10.21

## See Also

GstFdSink